Bug 688156 - [5.6][REG]for some uses of 'nfsservctl' system call, the kernel crashes. [rhel-5.6.z]
Summary: [5.6][REG]for some uses of 'nfsservctl' system call, the kernel crashes. [rhe...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: Regression, ZStream
Depends On: 653286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 13:48 UTC by RHEL Product and Program Management
Modified: 2018-11-14 16:25 UTC (History)
22 users (show)

(edit)
Under certain circumstances, a crash in the kernel could occur due to a race condition in the lockd_down function, which did not wait for the lockd process to come down. With this update, the lockd_down function has been fixed, and the kernel no longer crashes.
Clone Of:
(edit)
Last Closed: 2011-05-31 14:09:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description RHEL Product and Program Management 2011-03-16 13:48:45 UTC
This bug has been copied from bug #653286 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Phillip Lougher 2011-04-15 15:06:58 UTC
in kernel-2.6.18-238.10.1.el5

linux-2.6-fs-lockd-make-lockd_down-wait-for-lockd-to-come-down.patch

Comment 6 errata-xmlrpc 2011-05-31 14:09:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0833.html

Comment 7 Martin Prpič 2011-06-02 13:30:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Under certain circumstances, a crash in the kernel could occur due to a race condition in the lockd_down function, which did not wait for the lockd process to come down. With this update, the lockd_down function has been fixed, and the kernel no longer crashes.


Note You need to log in before you can comment on or make changes to this bug.